Loading...
Searching...
No Matches
fastjet::ClusterSequence::history_element Struct Reference
Access to extra information

a single element in the clustering history More...

`#include <fastjet/ClusterSequence.hh>`

## Public Attributes

int | parent1
int | parent2
| index in _history where first parent of this jet was created (InexistentParent if this jet is an original particle)
int | child
| index in _history where second parent of this jet was created (InexistentParent if this jet is an original particle); BeamJet if this history entry just labels the fact that the jet has recombined with the beam)
int | jetp_index
| index in _history where the current jet is recombined with another jet to form its child.
double | dij
| index in the _jets vector where we will find the
double | max_dij_so_far
| the distance corresponding to the recombination at this stage of the clustering.

## Detailed Description

a single element in the clustering history

(see vector _history below).

Definition at line 416 of file ClusterSequence.hh.

## Member Data Documentation

## parent1

int fastjet::ClusterSequence::history_element::parent1

Definition at line 417 of file ClusterSequence.hh.

## parent2

int fastjet::ClusterSequence::history_element::parent2

index in _history where first parent of this jet was created (InexistentParent if this jet is an original particle)

Definition at line 421 of file ClusterSequence.hh.

## child

int fastjet::ClusterSequence::history_element::child

index in _history where second parent of this jet was created (InexistentParent if this jet is an original particle); BeamJet if this history entry just labels the fact that the jet has recombined with the beam)

Definition at line 427 of file ClusterSequence.hh.

## jetp_index

int fastjet::ClusterSequence::history_element::jetp_index

index in _history where the current jet is recombined with another jet to form its child.

It is Invalid if this jet does not further recombine.

Definition at line 432 of file ClusterSequence.hh.

## dij

double fastjet::ClusterSequence::history_element::dij

index in the _jets vector where we will find the

PseudoJet object corresponding to this jet (i.e. the jet created at this entry of the history). NB: if this element of the history corresponds to a beam recombination, then jetp_index=Invalid.

Definition at line 439 of file ClusterSequence.hh.

## max_dij_so_far

double fastjet::ClusterSequence::history_element::max_dij_so_far

the distance corresponding to the recombination at this stage of the clustering.

Definition at line 442 of file ClusterSequence.hh.

The documentation for this struct was generated from the following file:

- include/fastjet/ClusterSequence.hh